o_image_be.h File Reference
`#include <gwenhywfar/htmlobject_be.h>`
`#include <gwenhywfar/htmlimage_be.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API HTML_IMAGE * | HtmlObject_Image_GetImage (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_Image_GetOriginalHeight (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_Image_GetOriginalWidth (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_Image_GetScaledHeight (const HTML_OBJECT *o)
GWENHYWFAR_API int | HtmlObject_Image_GetScaledWidth (const HTML_OBJECT *o)
GWENHYWFAR_API HTML_OBJECT * | HtmlObject_Image_new (GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API void | HtmlObject_Image_SetImage (HTML_OBJECT *o, HTML_IMAGE *img)
GWENHYWFAR_API void | HtmlObject_Image_SetOriginalHeight (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_Image_SetOriginalWidth (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_Image_SetScaledHeight (HTML_OBJECT *o, int i)
GWENHYWFAR_API void | HtmlObject_Image_SetScaledWidth (HTML_OBJECT *o, int i)

## Function Documentation

## HtmlObject_Image_GetImage()

GWENHYWFAR_API HTML_IMAGE * HtmlObject_Image_GetImage | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_Image_GetOriginalHeight()

GWENHYWFAR_API int HtmlObject_Image_GetOriginalHeight | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_Image_GetOriginalWidth()

GWENHYWFAR_API int HtmlObject_Image_GetOriginalWidth | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_Image_GetScaledHeight()

GWENHYWFAR_API int HtmlObject_Image_GetScaledHeight | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_Image_GetScaledWidth()

GWENHYWFAR_API int HtmlObject_Image_GetScaledWidth | ( | const HTML_OBJECT * | o | ) |

References GWENHYWFAR_API.

## HtmlObject_Image_new()

GWENHYWFAR_API HTML_OBJECT * HtmlObject_Image_new | ( | GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlObject_Image_SetImage()

GWENHYWFAR_API void HtmlObject_Image_SetImage | ( | HTML_OBJECT * | o,
|  | HTML_IMAGE * | img )

References GWENHYWFAR_API.

## HtmlObject_Image_SetOriginalHeight()

GWENHYWFAR_API void HtmlObject_Image_SetOriginalHeight | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_Image_SetOriginalWidth()

GWENHYWFAR_API void HtmlObject_Image_SetOriginalWidth | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_Image_SetScaledHeight()

GWENHYWFAR_API void HtmlObject_Image_SetScaledHeight | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.

## HtmlObject_Image_SetScaledWidth()

GWENHYWFAR_API void HtmlObject_Image_SetScaledWidth | ( | HTML_OBJECT * | o,
|  | int | i )

References GWENHYWFAR_API.